This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 107523 - Trying to build libstdc++ compatibly with rhas 2.1
Trying to build libstdc++ compatibly with rhas 2.1
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gcc3 (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
http://gcc.gnu.org/bugzilla/show_bug....
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-19 19:32 EDT by benson margulies
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-27 13:29:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description benson margulies 2003-10-19 19:32:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; H010818; .NET 
CLR 1.1.4322)

Description of problem:
Please have a look at the referenced bug db entry for gcc. In it, I supply a 
test case for a problem with C++ exceptions and dlopen.

This problem does NOT occur if I use a Red Hat official compiler RPM. I'm 
submitting this entry in the hopes of learning how RedHat configures gcc 
and/or libstdc++ to achieve compatibility. I have customers who stubbornly 
insist on using things like gcc 3.2 on RHAS 2.1, and I'd like to support them. 



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. See URL
2.
3.
    

Additional info:
Comment 1 Jakub Jelinek 2004-10-27 13:29:29 EDT
Using GCC 3.2 on RHAS 2.1 is a bad idea, you need much more recent
binutils and more recent glibc in order to make things work as they
are supposed to work.
At which point it is better to use RHEL 3 which comes with GCC 3.2.

Note You need to log in before you can comment on or make changes to this bug.